CH_PROTO_CONVERTER_READ_FUNC(3)

PROTO_FUNC
ch_PROTO_converter_read_func - Read bytes.

SYNOPSIS
#include <karma_ch.h>

unsigned int ch_PROTO_converter_read_func

(Channel channel, char *buffer, unsigned int length, void **info)

DESCRIPTION
This routine will convert bytes being read from a channel object.

channel
    The channel object. It is permissable for the routine to call <-ch_read-> with this channel. If this is done, this function will be bypassed.

buffer
    The buffer to write the data into.

length
    The number of bytes to write into the buffer.

info
    A pointer to the arbitrary information pointer. This may be modified

RETURN VALUE
The number of bytes actually written to the buffer.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/